Ipe Geometry

## Classes

class | ipe::Angle
class | ipe::Vector
class | ipe::Rect
class | ipe::Line
class | ipe::Segment
class | ipe::Linear
class | ipe::Matrix
class | ipe::Bezier
class | ipe::Arc
class | ipe::CurveSegment
class | ipe::Curve
class | ipe::SubPath
class | ipe::Ellipse
class | ipe::ClosedSpline
class | ipe::Shape

## Functions

template<class T >
T | ipe::max (const T &lhs, const T &rhs)
template<class T >
T | ipe::min (const T &lhs, const T &rhs)
double | ipe::abs (double val)

## Detailed Description

Geometric primitives for Ipe.

The IpeGeo module provides a few classes for constant-size geometric primitives, such as vector, axis-aligned rectangles, lines, rays, line segments, etc.

## Function Documentation

## max()

template<class T >

T ipe::max | ( | const T & | lhs,
|  | const T & | rhs
| ) |  |

inline

Maximum of two values.

## min()

template<class T >

T ipe::min | ( | const T & | lhs,
|  | const T & | rhs
| ) |  |

inline

Minimum of two values.

## abs()

double ipe::abs | ( | double | val | ) |

inline

Absolute value.

Referenced by ipe::TransformTool::compute(), and ipe::TransformTool::TransformTool().